
  public partial class CalendarDemo : System.Web.UI.Page
  {
      protected void Page_Load(object sender, EventArgs e)
      {
  
      }
  
      // 响应OnSelectionChanged 事件
      protected void 【Calendar1_SelectionChanged】(object sender, EventArgs e)
      {
         Label1.Text = "选择的日期为：<B> " +Calendar1.SelectedDate.ToShortDateString()+"</B>";
         }
  
      //响应OnDayRender 事件
      protected void 【Calendar1_DayRender】(object sender, DayRenderEventArgs e)
      {
          //取得正在显示的日期信息
          CalendarDay d = e.【Day】;
          //取得正在显示的单元格
          TableCell c = e.【Cell】;
          if (d.【IsToday】)   //如果显示的日期是今天
          {
              c.【BackColor】 =System.Drawing.【Color】.Yellow;
          }
  
        if     (d.Date.【DayOfWeek】 ==  DayOfWeek.Saturday)
             c.Controls.【Add】(new LiteralControl("<br>周六"));
  
  
        if     (d.Date.DayOfWeek ==  DayOfWeek.Sunday)
             c.Controls.Add(new LiteralControl("<br>周日"));
      
  
      }
  }
  

--答案--
   IsToday   DayOfWeek   Calendar1_SelectionChanged   Color   Calendar1_DayRender   BackColor